logo
enes

Templates

Last update: 6 hours ago by Irais Aguirre

Integration summary

  • Base URL: https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services
  • Token: admin token, in the Authorization: Bearer {{admin-token}} header (how to generate it)
  • Endpoints on this page:
    • GET /v1/template/{{waba_id}}/template-status: Get template quality

Check the quality rating of your WABA's templates.

Get template quality

Request

Get template quality request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/template/{{waba_id}}/template-status
MethodGET

Headers

Get template quality headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired

Parameters

Get template quality parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account ID. Digits only.StringRequired

Example

Complete Get template quality example:

curl --location 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/template/{{waba_id}}/template-status' \
--header 'Authorization: Bearer {{admin-token}}'

Response

Get template quality response:

NameDescriptionType
dataList with the quality of each template in the WABA.Array
wabaIdWABA ID.String
templateIdTemplate ID in Meta.String
nameTemplate name.String
languageTemplate language.String
statusTemplate status in Meta. For example, APPROVED or REJECTED.String
qualityScoreTemplate quality rating. Possible values:
  • GREEN
  • YELLOW
  • RED
  • UNKNOWN
String
qualityScoreDateDate and time Meta calculated the rating.String (ISO 8601 date)
categoryTemplate category. For example, MARKETING.String
processedAtDate and time the information was obtained from Meta; the 12-hour period counts from here.String (ISO 8601 date)
{
"data": [
{
"wabaId": "173276950931742",
"templateId": "1081574727374061",
"name": "prueba_columbia",
"language": "es",
"status": "REJECTED",
"qualityScore": "UNKNOWN",
"qualityScoreDate": "2025-07-25T19:58:56Z",
"category": "MARKETING",
"processedAt": "2025-07-25T19:58:58.036Z"
},
{
"wabaId": "173276950931742",
"templateId": "1249112459663215",
"name": "prueba158",
"language": "es",
"status": "APPROVED",
"qualityScore": "UNKNOWN",
"qualityScoreDate": "2025-07-25T19:58:56Z",
"category": "MARKETING",
"processedAt": "2025-07-25T19:58:58.002Z"
}
]
}

Previous
Phone numbers
Next — WhatsApp
Direct Send